

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Dialog;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * An error message dialog, that pops up a message, and a dismiss button.
 * It disposes of itself after use.
 * @author philipbrown
 */
 
public class ErrDialog extends Dialog  implements ActionListener {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public ErrDialog(Frame parent, String text){
		super(parent,true); // Create ourselves as "modal"
		Button ok=new Button("Dismiss");
		
		add(new TextArea(text), BorderLayout.CENTER);
		add(ok,BorderLayout.SOUTH);
		pack();
		ok.addActionListener(this);
	}
	
	/**
	 * This handles the Button click
	 */
	public void actionPerformed(ActionEvent e){
		dispose(); // dispose of OURSELF!
	}

}
